# Psi has no KDE-specific feature yet, but it's in the TODO list
%{!?_without_kde:%define with_kde 1}

Name:       psi
Version:    0.9.3
Release:    0.fdr.1.2
Summary:    Jabber client using QT3
Epoch:      0
License:    GPL
Group:      Applications/Internet
URL:        http://psi.affinix.com/
Source0:    http://dl.sf.net/psi/psi-0.9.3.tar.bz2
Source2:    psi-uicwrapper.sh
Patch1:     psi-0.9.2-strip.patch
Patch2:     psi-0.9.2-mach-build.patch

BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	qt-devel >= 1:3.1.1
BuildRequires:  XFree86-devel
BuildRequires:  zlib-devel
BuildRequires:  desktop-file-utils
BuildRequires:  qca-devel
%if 0%{?with_kde}
BuildRequires:  kdelibs-devel
%endif

Requires:   sox
Requires:   gnupg

# Language packs
Source50:	psi_pl.qm.bz2
#Source51:	psi_sr.qm.bz2
Source52:	psi_fr.qm.bz2
#Source53:	psi_eo.qm.bz2
#Source54:	psi_sr@Latn.qm.bz2
Source55:	psi_fi.qm.bz2
Source56:	psi_cs.qm.bz2
Source57:	psi_ru.qm.bz2
Source58:	psi_de.qm.bz2
Source59:	psi_es.qm.bz2
Source60:	psi_mk.qm.bz2
Source61:	psi_nl.qm.bz2
Source62:	psi_sk.qm.bz2
Source63:	psi_el.qm.bz2
Source64:	psi_it.qm.bz2
Source65:	psi_se.qm.bz2
Source66:	psi_ca.qm.bz2
Source67:	psi_zh.qm.bz2
Source68:	psi_sw.qm.bz2
Source69:	psi_ee.qm.bz2
Source70:	psi_et.qm.bz2

# Emoticonsets
Source100:   Chibi.jisp
Source101:   KMess-Cartoon-1.0.jisp
Source102:   shinyicons.jisp
Source103:   yahoo_messenger.jisp
Source104:   kreativ_squareheads.jisp
Source105:   tlen.pl-3.73.jisp
Source106:   apple_ichat-1.0.jisp
Source107:   trill-extra-symbols.jisp
Source108:   trill-extra-smileys.jisp
Source109:   Ninja.jisp
Source110:   webmessenger.jisp

# Rostericonsets
Source130:   weather.jisp
Source131:   icqG.jisp
Source132:   gaduGaduG.jisp
Source133:   http://www.cs.kuleuven.ac.be/~remko/psi/crystal/crystal_roster.jisp

# System iconsets
Source160:   http://www.cs.kuleuven.ac.be/~remko/psi/crystal/crystal_system.jisp


%description
Psi is the premiere Instant Messaging application designed for Microsoft
Windows, Apple Mac OS X and GNU/Linux. Built upon an open protocol named
Jabber, Psi is a fast and lightweight messaging client that utilises the best
in open source technologies. Psi contains all the features necessary to chat,
with no bloated extras that slow your computer down. The Jabber protocol
provides gateways to other protocols as AIM, ICQ, MSN and Yahoo!.

%package -n %name-i18n
Summary:	Language packs for Psi
Group:		Applications/Internet
Requires:	psi = 0:%version

%description -n %name-i18n
This package adds internationalization to Psi.
If you want to add a translation from http://psi.affinix.com,
just put the .qm file in %_datadir/%name (you'll have to do
this as root), and restart psi.

%package -n %name-icons
Summary:    Additional icons for Psi
Group:      Applications/Internet
Requires:   psi >= 0:0.9.1

%description -n %name-icons
This package contains additional icons for Psi
There are three types of icons:
- emoticons, also known as smileys
- roster icons, to change the appearance of Psi's main window
- system icons, to change the rest of Psi's icons
More icons can be found on http://jisp.netflint.net


%prep
%setup -q
# (ugly) hack to enable debuginfo subrpm
%patch1 -p1 -b .strip
# needed to build with mach
%patch2 -p1 -b .mach-build

%build
[ -n "$QTDIR" ] || . %{_sysconfdir}/profile.d/qt.sh

%if 0%{?with_kde}
export KDEDIR=%(kde-config --prefix)
%endif

./configure                     \
	--prefix=%{_prefix}     \
	--bindir=%{_bindir}     \
	--libdir=%{_datadir}/%name  \
	--qtdir=$QTDIR

# Fix build for FC1
make qmake
install -m 755 %{SOURCE2} src/uic-wrapper
sed -i 's|\$(QTDIR)/bin/uic|./uic-wrapper|' src/Makefile

make %{?_smp_mflags}
#lrelease psi.pro


%install
rm -rf $RPM_BUILD_ROOT

export INSTALL_ROOT=$RPM_BUILD_ROOT
make install
#rm -f $RPM_BUILD_ROOT%{_datadir}/%name/{README,COPYING}
cp -p libpsi/iconset/ICONSET-HOWTO $RPM_BUILD_ROOT%{_datadir}/%name/iconsets/

# Install language packs
%__bzip2 -dck %{SOURCE50} > $RPM_BUILD_ROOT%{_datadir}/%name/%{name}_pl.qm
#%__bzip2 -dck %{SOURCE51} > $RPM_BUILD_ROOT%{_datadir}/%name/%{name}_sr.qm
%__bzip2 -dck %{SOURCE52} > $RPM_BUILD_ROOT%{_datadir}/%name/%{name}_fr.qm
#%__bzip2 -dck %{SOURCE53} > $RPM_BUILD_ROOT%{_datadir}/%name/%{name}_eo.qm
#%__bzip2 -dck %{SOURCE54} > $RPM_BUILD_ROOT%{_datadir}/%name/%{name}_sr@Latn.qm
%__bzip2 -dck %{SOURCE55} > $RPM_BUILD_ROOT%{_datadir}/%name/%{name}_fi.qm
%__bzip2 -dck %{SOURCE56} > $RPM_BUILD_ROOT%{_datadir}/%name/%{name}_cs.qm
%__bzip2 -dck %{SOURCE57} > $RPM_BUILD_ROOT%{_datadir}/%name/%{name}_ru.qm
%__bzip2 -dck %{SOURCE58} > $RPM_BUILD_ROOT%{_datadir}/%name/%{name}_de.qm
%__bzip2 -dck %{SOURCE59} > $RPM_BUILD_ROOT%{_datadir}/%name/%{name}_es.qm
%__bzip2 -dck %{SOURCE60} > $RPM_BUILD_ROOT%{_datadir}/%name/%{name}_mk.qm
%__bzip2 -dck %{SOURCE61} > $RPM_BUILD_ROOT%{_datadir}/%name/%{name}_nl.qm
%__bzip2 -dck %{SOURCE62} > $RPM_BUILD_ROOT%{_datadir}/%name/%{name}_sk.qm
%__bzip2 -dck %{SOURCE63} > $RPM_BUILD_ROOT%{_datadir}/%name/%{name}_el.qm
%__bzip2 -dck %{SOURCE64} > $RPM_BUILD_ROOT%{_datadir}/%name/%{name}_it.qm
%__bzip2 -dck %{SOURCE65} > $RPM_BUILD_ROOT%{_datadir}/%name/%{name}_se.qm
%__bzip2 -dck %{SOURCE66} > $RPM_BUILD_ROOT%{_datadir}/%name/%{name}_ca.qm
%__bzip2 -dck %{SOURCE67} > $RPM_BUILD_ROOT%{_datadir}/%name/%{name}_zh.qm
%__bzip2 -dck %{SOURCE68} > $RPM_BUILD_ROOT%{_datadir}/%name/%{name}_sw.qm
%__bzip2 -dck %{SOURCE69} > $RPM_BUILD_ROOT%{_datadir}/%name/%{name}_ee.qm
%__bzip2 -dck %{SOURCE69} > $RPM_BUILD_ROOT%{_datadir}/%name/%{name}_et.qm

## Install iconsets
install -p %{SOURCE100} $RPM_BUILD_ROOT%{_datadir}/%name/iconsets/emoticons/
install -p %{SOURCE101} $RPM_BUILD_ROOT%{_datadir}/%name/iconsets/emoticons/
install -p %{SOURCE102} $RPM_BUILD_ROOT%{_datadir}/%name/iconsets/emoticons/
install -p %{SOURCE103} $RPM_BUILD_ROOT%{_datadir}/%name/iconsets/emoticons/
install -p %{SOURCE104} $RPM_BUILD_ROOT%{_datadir}/%name/iconsets/emoticons/
install -p %{SOURCE105} $RPM_BUILD_ROOT%{_datadir}/%name/iconsets/emoticons/
install -p %{SOURCE106} $RPM_BUILD_ROOT%{_datadir}/%name/iconsets/emoticons/
install -p %{SOURCE107} $RPM_BUILD_ROOT%{_datadir}/%name/iconsets/emoticons/
install -p %{SOURCE108} $RPM_BUILD_ROOT%{_datadir}/%name/iconsets/emoticons/
install -p %{SOURCE109} $RPM_BUILD_ROOT%{_datadir}/%name/iconsets/emoticons/
install -p %{SOURCE110} $RPM_BUILD_ROOT%{_datadir}/%name/iconsets/emoticons/

install -p %{SOURCE130} $RPM_BUILD_ROOT%{_datadir}/%name/iconsets/roster/
install -p %{SOURCE131} $RPM_BUILD_ROOT%{_datadir}/%name/iconsets/roster/
install -p %{SOURCE132} $RPM_BUILD_ROOT%{_datadir}/%name/iconsets/roster/
install -p %{SOURCE133} $RPM_BUILD_ROOT%{_datadir}/%name/iconsets/roster/

install -p %{SOURCE160} $RPM_BUILD_ROOT%{_datadir}/%name/iconsets/system/

# Menu
perl -pi -e 's/Icon=psi/Icon=psi.png/' $RPM_BUILD_ROOT%{_datadir}/applnk/Internet/%{name}.desktop
desktop-file-install --vendor fedora \
                     --dir $RPM_BUILD_ROOT%{_datadir}/applications\
                     --add-category Application\
                     --add-category X-Fedora\
                     --add-category Network\
                     --delete-original\
                     $RPM_BUILD_ROOT%{_datadir}/applnk/Internet/%{name}.desktop

# icon
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/psi.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/%name.png


%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(0644,root,root,0755)
#%doc README COPYING libpsi/iconset/ICONSET-HOWTO
%attr(0755,root,root) %{_bindir}/psi
%{_datadir}/%{name}
%_datadir/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/%name.png
%{_datadir}/pixmaps/%name.png
%exclude %{_datadir}/%{name}/*.qm
%exclude %{_datadir}/%{name}/iconsets/*/*.jisp

%files -n %name-i18n 
%defattr(0644,root,root,0755)
%{_datadir}/%name/%{name}_*.qm


%files -n %name-icons
%defattr(0644,root,root,0755)
%{_datadir}/%name/iconsets/*/*.jisp


%changelog
* Sun Jan 09 2005 Aurelien Bompard <gauret[AT]free.fr> 0:0.9.3-0.fdr.1
- version 0.9.3 final

* Mon Jan 03 2005 Aurelien Bompard <gauret[AT]free.fr> 0:0.9.3-0.fdr.0.3.test2
- version 0.9.3-test2

* Thu Nov 25 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.9.3-0.fdr.0.2.test1
- Drop hardcoded requirement on qca-tls, it should be a plugin

* Mon Nov 22 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.9.3-0.fdr.0.1.test1
- update to 0.9.3test1
- use the provided icon in the menu and drop Source1.
- add crystal iconset
- added Russian and Eesti translations

* Sat Sep 18 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.9.2-0.fdr.3
- add patch for typing notification
- add crystal iconset
- update translations (adding kiswahili and Eesti)

* Fri Jun 11 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.9.2-0.fdr.2
- split qca-tls out of this package and require it
- fix build on FC1

* Thu Jun 10 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.9.2-0.fdr.1
- version 0.9.2
- drop libgnome patch, psi now uses gnome-open
- rediffed the other patches

* Sat Feb 28 2004 Aurelien Bompard <gauret[AT]free.fr> - 0:0.9.1-0.fdr.9
- add a patch to build with mach
- removed URLs in iconsets because the website changed
- add one iconset

* Tue Feb 17 2004 Aurelien Bompard <gauret[AT]free.fr> - 0:0.9.1-0.fdr.8
- add a patch from Debian
- avoid stripping of binary

* Sat Feb 14 2004 Aurelien Bompard <gauret[AT]free.fr> - 0:0.9.1-0.fdr.7
- add German (de) and Simplified Chinese (zh) translations
- Apply suggestions from Michael Schwendt :
  - BuildRequies kdelibs-devel if built --with kde
  - Drop rostericonset "neos" because it is buggy
  - Put docs in %%_datadir/psi to avoid empty about box
  - Fix source URL
  - Fix files list for FC2

* Mon Feb 09 2004 Aurelien Bompard <gauret[AT]free.fr> - 0:0.9.1-0.fdr.6
- add Cesky (cs) and Catalan (ca) translations

* Sat Jan 31 2004 Aurelien Bompard <gauret[AT]free.fr> - 0:0.9.1-0.fdr.5
- add polish (pl) translation.
- improve description of the i18n package

* Wed Jan 28 2004 Aurelien Bompard <gauret[AT]free.fr> - 0:0.9.1-0.fdr.4
- add spanish (es) and svenska (se) translations.
- *really* add GNOME icon...

* Tue Jan 27 2004 Aurelien Bompard <gauret[AT]free.fr> - 0:0.9.1-0.fdr.3
- add slovak (sk) and italian (it) translations.

* Tue Jan 20 2004 Aurelien Bompard <gauret[AT]free.fr> - 0:0.9.1-0.fdr.2
- add GNOME icon

* Sun Jan 11 2004 Aurelien Bompard <gauret[AT]free.fr> - 0:0.9.1-0.fdr.1
- version 0.9.1
- add jisp emoticons in a separate package (psi-icons)
- add ICONSET-HOWTO
- drop old iconsets (and thus remove buildrequires: unzip)
- add rebuild option "--without kde" to prepare for future version of psi
  which will take this into account. Right now it is ignored.

* Sat Nov 22 2003 Aurelien Bompard <gauret[AT]free.fr> - 0:0.9-0.fdr.4
- add Requires: sox to play sound (thanks to you-know-who ;-) )
- fix date in changelog.

* Fri Nov 21 2003 Aurelien Bompard <gauret[AT]free.fr> - 0:0.9-0.fdr.3
- Thanks to Michael Schwendt (again :-) ) :
  * exclude lang files from main package
  * preserve timestamps when possible
  * fix .desktop file
  * add ssl support

* Tue Nov 18 2003 Aurelien Bompard <gauret[AT]free.fr> - 0:0.9-0.fdr.2
- Thanks to Michael Schwendt :
  * group language packs into one subpackage.
  * added epoch=0
  * added environnement variables to ./configure
  * added BuildRequires: XFree86-devel

* Wed Nov 12 2003 Aurelien Bompard <gauret[AT]free.fr> - 0.9-0.fdr.1
- port to Fedora (from Mandrake)
